rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
headerSprintfArgs_s Struct Reference
HEADER.
Collaboration diagram for headerSprintfArgs_s:
[legend]

## Data Fields
Header | h
char * | fmt
headerTagTableEntry | tags
headerSprintfExtension | exts
const char * | errmsg
HE_t | ec
int | nec
sprintfToken | format
HeaderIterator | hi
char * | val
size_t | vallen
size_t | alloced
size_t | numTokens
size_t | i

## Detailed Description

Definition at line 4994 of file hdrfmt.c.

## Field Documentation

size_t headerSprintfArgs_s::alloced

Definition at line 5011 of file hdrfmt.c.

Referenced by headerSprintf(), and hsaReserve().

HE_t headerSprintfArgs_s::ec

Extension data cache.

Definition at line 5003 of file hdrfmt.c.

Referenced by formatValue(), headerSprintf(), and singleSprintf().

const char* headerSprintfArgs_s::errmsg

Definition at line 5002 of file hdrfmt.c.

Referenced by headerSprintf(), parseExpression(), parseFormat(), and singleSprintf().

headerSprintfExtension headerSprintfArgs_s::exts

Definition at line 5000 of file hdrfmt.c.

Referenced by findTag(), and headerSprintf().

char* headerSprintfArgs_s::fmt

Definition at line 4996 of file hdrfmt.c.

Referenced by headerSprintf().

sprintfToken headerSprintfArgs_s::format

Definition at line 5005 of file hdrfmt.c.

Referenced by headerSprintf(), hsaInit(), and hsaNext().

Header headerSprintfArgs_s::h

Definition at line 4995 of file hdrfmt.c.

Referenced by formatValue(), getExtension(), headerSprintf(), hsaInit(), and singleSprintf().

HeaderIterator headerSprintfArgs_s::hi

Definition at line 5007 of file hdrfmt.c.

Referenced by hsaFini(), hsaInit(), and hsaNext().

size_t headerSprintfArgs_s::i

Definition at line 5013 of file hdrfmt.c.

Referenced by hsaFini(), hsaInit(), and hsaNext().

int headerSprintfArgs_s::nec

No. of extension cache items.

Definition at line 5004 of file hdrfmt.c.

Referenced by headerSprintf().

size_t headerSprintfArgs_s::numTokens

Definition at line 5012 of file hdrfmt.c.

Referenced by headerSprintf(), and hsaNext().

headerTagTableEntry headerSprintfArgs_s::tags

Definition at line 4998 of file hdrfmt.c.

Referenced by findTag(), headerSprintf(), and singleSprintf().

char* headerSprintfArgs_s::val

Definition at line 5009 of file hdrfmt.c.

Referenced by formatValue(), headerSprintf(), hsaReserve(), and singleSprintf().

size_t headerSprintfArgs_s::vallen

Definition at line 5010 of file hdrfmt.c.

Referenced by formatValue(), headerSprintf(), hsaReserve(), and singleSprintf().

The documentation for this struct was generated from the following file:

- rpmdb/hdrfmt.c